- Qt 6.12
- Qt Canvas Painter
- C++ Classes
- QCanvasGradientStop
- Qt Canvas Painter | Commercial or GPLv3

# QCanvasGradientStop Struct

A gradient stop. More...

Header: | `#include <QCanvasGradientStop>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS CanvasPainter)` `target_link_libraries(mytarget PRIVATE Qt6::CanvasPainter)`
Since: | Qt 6.11

- List of all members, including inherited members

## Public Variables

QColor | color
qreal | position

## Related Non-Members

QDataStream & | operator<<(QDataStream &stream, const QCanvasGradientStop &stop)
QDataStream & | operator>>(QDataStream &stream, QCanvasGradientStop &stop)

## Detailed Description

Describes a stop point in a gradient.

## Member Variable Documentation

### QColor QCanvasGradientStop::color

The color for the stop point.

### qreal QCanvasGradientStop::position

The position for the stop point.

## Related Non-Members

### QDataStream &operator<<(QDataStream &stream, const QCanvasGradientStop &stop)

Writes gradient stop to the given stream and returns a reference to the stream.

See also Serializing Qt Data Types.

### QDataStream &operator>>(QDataStream &stream, QCanvasGradientStop &stop)

Reads a gradient stop from the given stream and returns a reference to the stream.

See also Serializing Qt Data Types.